'''
@author: Claudio Gomes, Sadaf Mustafiz and Bruno Barroca
'''

import os
from models.sample_hierarchical_fsa import TopLevelFSA
from fsaclasses import Events, RunTimeEvent
from weaved_fsa_fsa_simulator import Controller

DELTA = 1.0

if __name__ == '__main__':
    fsaModel = TopLevelFSA()
    events = Events([RunTimeEvent('e2',3.0), RunTimeEvent('e1',4.0)])
    controller = Controller(fsaModel, events, DELTA, keep_running=False)
    controller.start()
    controller.join()
    